from dicts import seq_dict, qp_dict, fr_dict, res_dict

import sys, os, subprocess

if len(sys.argv) != 8:
    print("Usage calc_metric.py <test_name> <base_dir> <gt_file> <out_dir> <dec_dir> <org_dir> <metric>")
    sys.exit(-1)
test_name = sys.argv[1]
base_dir  = sys.argv[2]
gt_dir    = sys.argv[3]
out_dir   = sys.argv[4]
dec_dir   = sys.argv[5]
org_dir   = sys.argv[6]
metric    = sys.argv[7]

ffmpeg = "ffmpeg"

if not os.path.isdir(out_dir):
    os.mkdir(out_dir)

for seq in seq_dict:
    cl, seq_name = seq_dict[seq]
    ip, fr, fe, fs = fr_dict[seq]
    w, h = res_dict[cl]
    if test_name == "unc":
        print("Not calculating %s for uncompressed test case" % metric)
        sys.exit(0)
    else:
        QPs = qp_dict[cl]
    for qp in QPs:
        dec_file = os.path.join(dec_dir, "%s_qp%d.yuv" % (seq_name, qp))
        org_file = os.path.join(org_dir, "%s.yuv" % seq_name)
        out_file = os.path.join(out_dir, "%s_qp%d_%s.txt" % (seq_name, qp, metric))
        dec_args = "-f rawvideo -pix_fmt yuv420p10le -s %dx%d -r %d -i %s" % (w, h, fr, dec_file)
        skip_offset = fs / fr
        org_args = "-f rawvideo -pix_fmt yuv420p -s %dx%d -r %d -ss %.6f -i %s" % (w, h, fr, skip_offset, org_file)
        cmd = "%s %s %s -frames:v %d -lavfi %s=stats_file=%s -f null -" % (ffmpeg, dec_args, org_args, fe, metric, out_file)
        print(cmd)
        subprocess.run(cmd, shell = True)

print("Done with %s for %s!\n" % (metric, test_name))

