import os, sys
from dicts import seq_dict, fr_dict, qp_dict

if len(sys.argv) != 3:
    print("Usage: classwise.py <src_folder> <dst_folder>")
    sys.exit(-1)

src_folder = sys.argv[1]
dst_folder = sys.argv[2]

classes = ["AB", "C", "D"]

for rp in range(6):
    for c in classes:
        c_folder = os.path.join(dst_folder, "class%s_%d" % (c, rp))
        if not os.path.isdir(c_folder):
            os.makedirs(c_folder)

    for seq in seq_dict:
        cl, seq_name = seq_dict[seq]
        ip, fr, fe, fs = fr_dict[seq]
        qp = qp_dict[cl][rp]
        for c in classes:
            if cl in c:
                cur_cl = c

        for f in range(fe):
            src_file = os.path.join(src_folder, "%s_qp%d" % (seq_name, qp), "%s_%03d.png" % (seq_name, f))
            dst_file = os.path.join(dst_folder, "class%s_%d" % (cur_cl, rp), "%s_%03d.png" % (seq_name, f))
            os.symlink(src_file, dst_file)

