#!/bin/bash

set -e

# current directory
cd /home/code/SFU-HW

# directory for results
out=/home/results/SFU-HW
mkdir -p ${out}

# base directory containing folders for decompressed images
src_dir=/home/data/SFU

# directory with ground truth
gt_dir=/home/dataset/SFU-HW

# directory with decoded sequences
dec_dir=/home/data/SFU-HW/decoded

# directory with original sequences
org_dir=/home/data/SFU-HW/original

# list of metrics to be calculated
# can be skipped with empty string
metrics="psnr ssim"

echo "processing detection ..."
# tasks: "id data_dir gt_dir out_folder"
# adjust subfolders
task_list=(\
    #"unc ${src_dir}/unc        ${gt_dir} ${out}" \
    #"100 ${src_dir}/anchor_100 ${gt_dir} ${out}" \
    #"75  ${src_dir}/anchor_75  ${gt_dir} ${out}" \
    #"50  ${src_dir}/anchor_50  ${gt_dir} ${out}" \
    #"25  ${src_dir}/anchor_25  ${gt_dir} ${out}" \
)

for task_info in "${task_list[@]}"; do
    python detection_work.py ${task_info}
    for m in $metrics; do
        python calc_metric.py ${task_info} ${dec_dir} ${org_dir} ${m}
    done
done


echo 
echo 'Done!'

