#!/bin/bash
#This script is the code to calculate the mAP.


#for original images
IMAGE_PATH=$(realpath ./anchor_mAP/original)
MODEL_PATH=$(realpath ./data/model_final.pth)
COCO_GT_PATH=$(realpath ./data/FLIR_val_thermal_coco_format_jpg.json)

RESULT_PATH=$(realpath ./anchor_mAP/mAP_results_2)
mkdir -p $RESULT_PATH
FNAME="orginal"

python eval_coco_mAP.py --image_path $IMAGE_PATH \
                        --model_path $MODEL_PATH \
                        --coco_gt_path $COCO_GT_PATH \
                        --result_path $RESULT_PATH \
                        --result_file_name $FNAME \
                        --qp 0



#for compressed images
MODEL_PATH=$(realpath ./data/model_final.pth)
COCO_GT_PATH=$(realpath ./data/FLIR_val_thermal_coco_format_png.json)

RESULT_PATH=$(realpath ./anchor_mAP/mAP_results_2)
mkdir -p $RESULT_PATH

FNAME="100 75 50 25"
QP="22 27 32 37 42 47"

for fname in $FNAME ;
do
  for qp in $QP ;
  do
  IMAGE_PATH=$(realpath ./anchor_mAP/$fname/$qp)

  python eval_coco_mAP.py --image_path $IMAGE_PATH \
                          --model_path $MODEL_PATH \
                          --coco_gt_path $COCO_GT_PATH \
                          --result_path $RESULT_PATH \
                          --result_file_name $fname \
                          --qp $qp
  done
done


