# Copyright (c) 2020-2021 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
# This file is covered by the license agreement found in the file “license.txt” in the root of this project.

# This script generate md5 checksum for bit streams for crosschecking the anchor
# the compression results 

# load configuration
source anchor.cfg

#input_fname='./detection_validation_input_5k.lst'
#output_id='detection'

input_fname='../dataset/annotations_5k/segmentation_validation_input_5k.lst'
output_id='segmentation'

for QP in $qps; do
  echo "Processing ${QP}..."
  data_dir="../dataset/validation_bitstreams/${QP}"
  output_fname="${output_dir}/${output_id}_bitstream_md5_${QP}.csv"

  rm $output_fname
  
  echo "ImageID,MD5" > $output_fname
  while read line; do
    imgID="${line%.*}"
    fname=${data_dir}/${imgID}.266
    
    checksum=$(md5sum $fname | cut -f 1 -d ' ')
    echo "$imgID,$checksum" >> $output_fname
  done <$input_fname
done
echo "Done!"
