#!/usr/local/scripts/venv/bin/python

import os
import sys
import glob
import json
import utils

def cal_bitrate(bin_folder, frame_rate):
    bin_lst = glob.glob(bin_folder + "/*.bin")
    num_frames = len(bin_lst)
    num_seconds = num_frames / frame_rate

    file_size = 0      # in bytes
    for diff_bin_file in bin_lst:
        file_size += os.path.getsize(diff_bin_file)

    bitrate = file_size * 8 / 1000 / num_seconds
    return bitrate

if __name__ == '__main__':        
    # read config file
    cfg = utils.read_config()

    rate_list = cfg.qps.split()
    bitstream_dir = cfg.bitstream_dir
    output_dir = cfg.output_dir
    single_bin_file = cfg.single_bin_file

    out_file = os.path.join(output_dir, "bitrate.log")
    num_frames = [3000, 636, 2334]
    total_bitrate={}
    for rate in rate_list:
        bitrate_list=[]
        for seq_id in range(1,4):
            if single_bin_file == '1':
                bin_file = os.path.join(bitstream_dir, rate, "TVD-0" + str(seq_id) + ".bin")
                print(bin_file)
                bit_rate = os.path.getsize(bin_file) * 8 / 1000 / num_frames[seq_id-1] * 50
            else:
                bin_folder = os.path.join(bitstream_dir, rate, "TVD-0" + str(seq_id))
                bit_rate = cal_bitrate(bin_folder, 50)
                
            bitrate_list.append(bit_rate)
        total_bitrate[rate] = bitrate_list

    with open(out_file,"w") as fp:
        json.dump(total_bitrate, fp)




        
        
