#
# this script collects RD results object tracking

import os
import sys
import glob
import argparse
import json
import csv
import utils

if __name__ == '__main__':        
    # read config file
    cfg = utils.read_config()

    rate_list = cfg.qps.split()
    bitstream_dir = cfg.bitstream_dir
    output_dir = cfg.output_dir
    out_file = os.path.join(output_dir, "track_rd.csv")

    if cfg.eval_uncompressed_data == "1":
        rate_list.append("uncmprd")

    bitrate_file=os.path.join(output_dir, "bitrate.log")
    with open(bitrate_file, "r") as fp_bitrate:
        bitrate=json.load(fp_bitrate)
    #print(bitrate)
    
    metrics={}
    for rate in rate_list:
        metric_file=os.path.join(output_dir, rate + "_metric.log")
        with open(metric_file, "r") as fp_metric:
            csv_reader=csv.reader(fp_metric)
            header = next(csv_reader)
            rows=[]
            for row in csv_reader:
                rows.append(row)
            #print(rows)
            metrics[rate] = rows
    
    header=["rate", "bitrate (kbps)", "MOTA"]
    data=[]
    for rate in rate_list:
        if rate == 'uncmprd':
            avg_bitrate = 0
        else:
            avg_bitrate = sum(bitrate[rate]) / len(bitrate[rate])

        avg_metric = metrics[rate][3][0].split()[14]

        data.append([rate, avg_bitrate, avg_metric])

    with open(out_file, "w") as fp_out:
        csv_writer=csv.writer(fp_out)
        csv_writer.writerow(header)
        csv_writer.writerows(data)





        
        
