#
# this script generate object tracking results and evaluate MOTA scores using the tracking results

set -e

# load configuration
cfg_fname=$1
source $cfg_fname

dataset_dir=$(realpath ../dataset)
validation_dir=${dataset_dir}/validation/tracking
track_dir=$(realpath ../obj_tracking)
OUTPUT_ROOT=$(realpath $output_dir)

if [ $eval_uncompressed_data == 1 ]; then
  qps="uncmprd $qps"
fi

for rate in $qps; do
  echo "Processing ${rate} ..."

  if [ $rate != "uncmprd" ]; then
    data_root=$(realpath ${recon_data_dir}/${rate})
    cp ${validation_dir}/TVD-01/seqinfo.ini ${data_root}/TVD-01
    cp ${validation_dir}/TVD-02/seqinfo.ini ${data_root}/TVD-02
    cp ${validation_dir}/TVD-03/seqinfo.ini ${data_root}/TVD-03
  else
    data_root=${validation_dir} 
  fi

  pushd ${track_dir}
  CUDA_VISIBLE_DEVICES=${cuda_device} python ${track_dir}/track_tvd.py --rate ${rate} --data_root ${data_root} --output_root ${OUTPUT_ROOT}
  popd

  python evaluateTracking.py $validation_dir ${OUTPUT_ROOT}/${rate}  seqmap_tvd.txt > ${OUTPUT_ROOT}/${rate}_metric.log

done

