#
# This script generates all results for object tracking
# 

set -e

#####################################################
# handle command line arguments
if [ "$#" -ne 1 ]; then
  echo "
This script generates object tracking results using TVD dataset 
for anchors or proposed technologies. To reproduce anchors, run
  $0 anchor_track.cfg

To generate machine task results for technologies for VCM, run 
  $0 proposal_track.cfg
" 
  exit 0
else
  cfg_fname=$1  
fi

# read config file
source $cfg_fname
mkdir -p $output_dir

#####################################################

# calcuate bpp
echo "Calculating bitrate (kbps) for each TVD video"
python cal_tvd_track_bitrate.py  $cfg_fname

echo
echo "#################################################"
echo

# object tracking task
echo "processing object tracking ..."
./eval_track_tvd.sh $cfg_fname 

# generate report csv
echo "generating summary ..."
python collect_tvd_track_rd_results.py  $cfg_fname

echo 
echo 'Done!'

