# Copyright (c) 2020-2021 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
# This file is covered by the license agreement found in the file “license.txt” in the root of this project.


import configparser
from types import SimpleNamespace
import sys

# read config file, defualt config file is anchor.cfg
def read_config():

  if len(sys.argv) > 1:
    cfg_fname = sys.argv[1]
  else:
    print("No configuration file is given, using anchor.cfg")
    cfg_fname = "anchor.cfg"

  print("Using config file: ", cfg_fname)

  config = configparser.ConfigParser()
  with open(cfg_fname) as f:
    config.read_string("[DEFAULT]\n" + f.read())
  config = config['DEFAULT']

  # we have to strip the quotes since config read it as part of the value
  for k,v in config.items():
    config[k] = v.strip('"').strip("'")

  config = SimpleNamespace(**config)

  return config
